#
# Conditional build:
%bcond_with	hal	# HAL support

Summary:	Wrapping library to the System Tools Backends
Summary(pl.UTF-8):	Biblioteka opakowująca dla System Tools Backends
Name:		liboobs
Version:	3.0.0
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/liboobs/3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	fc3235b902a1cb7ac45776431004a57b
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.14.0
BuildRequires:	gtk-doc >= 1.9
%{?with_hal:BuildRequires:	hal-devel >= 0.5.10}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	system-tools-backends-devel >= 2.10.1
Requires:	dbus-glib >= 0.74
Requires:	glib2 >= 1:2.14.0
%{?with_hal:Requires:	hal-libs >= 0.5.10}
Suggests:	system-tools-backends >= 2.10.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liboobs is a wrapping library to the System Tools Backends. It
provides easy to access GObjects to system configuration details, like
users, groups and network interfaces.

%description -l pl.UTF-8
Liboobs jest biblioteką opakowującą dla System Tools Backends.
Dostarcza łatwo dostępne interfejsy GObject dla szczegółów
konfiguracyjnych, takich jak użytkownicy, grupy, czy interfejsy
sieciowe.

%package devel
Summary:	Header files for liboobs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liboobs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.74
Requires:	glib2-devel >= 1:2.14.0

%description devel
Header files for liboobs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liboobs.

%package static
Summary:	Static liboobs library
Summary(pl.UTF-8):	Statyczna biblioteka liboobs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liboobs library.

%description static -l pl.UTF-8
Statyczna biblioteka liboobs.

%package apidocs
Summary:	liboobs API documentation
Summary(pl.UTF-8):	Dokumentacja API liboobs
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
liboobs API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API liboobs.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	%{?with_hal:--with-hal} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/liboobs-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liboobs-1.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboobs-1.so
%{_includedir}/liboobs-1.0
%{_pkgconfigdir}/liboobs-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liboobs-1.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%changelog
* Fri Apr 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liboobs.git;a=log;h=master

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 8696314
- noarch apidocs

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 7593589
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 425c6b4
- updated gettext BR

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 85b3c7b
- updated dependencies, adjusted pl description
- added hal switch (disabled by default)

* Sat Apr 09 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 8d48b82
- updated to 3.0.0
- removed libtool file

* Thu Oct 21 2010 qwiat <qwiat@pld-linux.org> 06d5ee9
- fixed filename

* Thu Oct 21 2010 qwiat <qwiat@pld-linux.org> 849ffc2
- updated to 2.32.0

* Wed May 19 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 47de5e6
- updated to 2.30.1

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> 21be61a
- ver. 2.30.0

* Thu Dec 24 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a9fe022
- updated to 2.22.2

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 4d69dd6
- BR: docbook-dtd412-xml

* Tue Mar 11 2008 Patryk Zawadzki <patrys@room-303.com> 79efd44
- 2.22.0
- merged from DEVEL

* Fri Sep 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> c200784
- updated to 2.20.0; merged changes from DEVEL

* Tue Apr 10 2007 Robert Tomasik <rotom@pld-linux.org> f5b1891
- 2.18.1

* Tue Mar 20 2007 Patryk Zawadzki <patrys@room-303.com> e13a352
- 2.18.0

* Sat Mar 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> d143954
- updated to 2.17.92

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e8e4624
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9992573
- converted to UTF-8

* Fri Oct 06 2006 grzegol <grzegol@pld-linux.org> b2d24b7
- 0.6.0

* Thu Oct 05 2006 grzegol <grzegol@pld-linux.org> bcecf64
- 0.5.0

